import processing.pdf.*;

void setup(){
  size(420, 594);
}

int columns = 42;
int rows = 60;
int boxSize = 10;

void draw(){
  beginRecord(PDF, "everything.pdf");
  background(255);
  noStroke();
  for(int c=0; c<columns; c++){
    for(int r=0; r<rows; r++){
      fill(random(0, 255));
      beginShape();
      vertex(c*boxSize+random(0,4), r*boxSize+random(0,4));
      vertex(c*boxSize+boxSize-random(0,4), r*boxSize+random(0,4));
      vertex(c*boxSize+boxSize-random(0,4), r*boxSize+boxSize-random(0,4));
      vertex(c*boxSize+random(0,4), r*boxSize+boxSize-random(0,4));
      endShape(CLOSE);
    }
  }
  endRecord();
  exit();
}
